Inria and UCA hold all the ownership rights on the Software named HybridIBR.
The software has been registered with the Agence pour la Protection des
Programmes (APP).
The software is still being developed by the Licensor.
Licensor's goal is to allow the research community to use, test and evaluate
the software.

Definitions

"Licensee" means any person or entity that uses the Software and distributes
its Work.
"Licensor" means the owners of the Software, i.e Inria and UCA
"Software" means the original work of authorship made available under this
License i.e. HybridIBR.
"Work" means the Software and any additions to or derivative works of the
Software that are made available under this License.

Purpose

This license is intended to define the rights granted to the Licensee by
Licensors under the Software.

Rights granted

For the above reasons Licensors have decided to distribute the Software.
Licensors grant non-exclusive rights to use the Software for research purposes
to research users (both academic and industrial), free of charge, without right
to sublicense.. The Software may be used "non-commercially", i.e., for research
and/or evaluation purposes only.
Subject to the terms and conditions of this License, you are granted a
non-exclusive, royalty-free, license to reproduce, prepare derivative works of,
publicly display, publicly perform and distribute its Work and any resulting
derivative works in any form.

Limitations

4.1 Redistribution. You may reproduce or distribute the Work only if (a) you do
so under this License, (b) you include a complete copy of this License with
your distribution, and (c) you retain without modification any copyright,
patent, trademark, or attribution notices that are present in the Work.
42 Derivative Works. You may specify that additional or different terms apply
to the use, reproduction, and distribution of your derivative works of the Work
("Your Terms") only if (a) Your Terms provide that the use limitation in
Section 2 applies to your derivative works, and (b) you identify the specific
derivative works that are subject to Your Terms. Notwithstanding Your Terms,
this License (including the redistribution requirements in Section 3.1) will
continue to apply to the Work itself.
4.3 Any other use without of prior consent of Licensors is prohibited. Research
users explicitly acknowledge having received from Licensors all information
allowing to appreciate the adequacy between of the Software and their needs and
to undertake all necessary precautions for its execution and use.
4.4 The Software is provided both as a compiled library file and as source
code. In case of using the Software for a publication or other results obtained
through the use of the Software, users are strongly encouraged to cite the
corresponding publications as explained in the documentation of the Software.

Disclaimer

THE USER CANNOT USE, EXPLOIT OR DISTRIBUTE THE SOFTWARE FOR COMMERCIAL PURPOSES
WITHOUT PRIOR AND EXPLICIT CONSENT OF LICENSORS. YOU MUST CONTACT INRIA FOR ANY
UNAUTHORIZED USE: stip-sophia.transfert@inria.fr.. ANY SUCH ACTION WILL
CONSTITUTE A FORGERY. THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY WARRANTIES
OF ANY NATURE AND ANY EXPRESS OR IMPLIED WARRANTIES, WITH REGARDS TO COMMERCIAL
USE, PROFESSIONNAL USE, LEGAL OR NOT, OR OTHER, OR COMMERCIALISATION OR
ADAPTATION. UNLESS EXPLICITLY PROVIDED BY LAW, IN NO EVENT, SHALL INRIA OR THE
AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES, LOSS OF USE, DATA, OR PROFITS OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING FROM, OUT OF OR
IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.